--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY Configurable_IC6 IS
  PORT(
      I0 : IN std_logic:='U';
      I1 : IN std_logic:='U';
      O, NO : OUT std_logic := '0'
  );
END Configurable_IC6;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF Configurable_IC6 IS

SIGNAL S : std_logic;

BEGIN
    S <= NOT(I0) AND I1;
    O <= S;
    NO <= NOT S;
END structure;
--------------------------------------------------------------------------------
