--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY Configurable_U7363 IS
  PORT(
      D0 : IN std_logic:='U';
      D1 : IN std_logic:='U';
      D2 : IN std_logic:='U';
      D3 : IN std_logic:='U';
      Q0 : OUT std_logic := '0';
      Q1 : OUT std_logic := '0';
      Q2 : OUT std_logic := '0';
      Q3 : OUT std_logic := '0';
      C : IN std_logic:='U'
  );
END Configurable_U7363;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF Configurable_U7363 IS
BEGIN
    PROCESS(C)
    BEGIN
        IF ( C'Event and C = '0' ) THEN
            Q0 <= D0;
            Q1 <= D1;
            Q2 <= D2;
            Q3 <= D3;
        END IF;
    END PROCESS;
END structure;
--------------------------------------------------------------------------------
